.teacher {
  padding: 0 80px;
}

/* ========================================================================== */
/* teacher-1 */
/* ========================================================================== */

.teacher-1 {
  display: flex;
  margin-top: 100px;
}

.teacher-1-wrapper {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(min(100%, 340px), 340px));
  justify-content: center;
  max-width: 1068px;
  /* 340*3 + 24*2 */
  margin: 0 auto;
  width: 100%;
  gap: 24px;
  align-items: center;
}

/* ========================================================================== */
/* teacher-2 */
/* ========================================================================== */

.teacher-2 {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 24px;
  margin-top: 80px;
}

.teacher-2-wrapper {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
  align-self: stretch;
}

.teacher-2-header {
  display: flex;
  padding-bottom: 8px;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  gap: 8px;
  align-self: stretch;
  border-bottom: 2px solid var(--title-text-light-blue);
}

.teacher-2-header-text {
  font-size: 24px;
  font-weight: 600;
  line-height: 40px;
  /* 166.667% */
  letter-spacing: 0.96px;
}

.teacher-2-file {
  display: flex;
  height: 80px;
  padding: 8px 24px;
  align-items: center;
  gap: 16px;
  align-self: stretch;
  border-radius: 8px;
  border: 1px solid var(--sky-blue);
}

.teacher-2-file-text {
  color: var(--sky-blue);
  line-height: 32px;
  /* 200% */
  flex: 1 0 0;
}

.teacher-2-file-icon {
  width: 18px;
  height: 24px;
  aspect-ratio: 3/4;
}

/* ========================================================================== */
/* teacher-item.twig */
/* ========================================================================== */

.teacher-1-container-parts {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  flex: 1 0 0;
  border-radius: 0 0 0 40px;
  border: 1px solid var(--sky-blue);
  position: relative;
  min-width: 0;
}

.teacher-1-view-parts {
  display: block;
}

.teacher-1-view-sp-parts {
  display: none;
}

.teacher-1-img-parts {
  height: 220px;
  align-self: stretch;
  background: url(<path-to-image>) lightgray 0px -73.28px / 100% 227.667% no-repeat;
}

.teacher-1-inner-contents-parts {
  display: flex;
  padding: 24px 0;
  flex-direction: column;
  align-items: center;
  align-self: stretch;
  border-bottom: 1px solid var(--sky-blue);
  background: #FFF;
}

.teacher-1-inner-contents-name-parts {
  text-align: center;
  font-size: 24px;
  font-weight: 600;
  line-height: 32px;
  /* 133.333% */
  align-self: stretch;
}

.teacher-1-inner-contents-position-parts {
  text-align: center;
  font-size: 14px;
  line-height: 32px;
  /* 228.571% */
  align-self: stretch;
}

.teacher-1-inner-footer-parts {
  display: flex;
  padding: 8px 24px 16px 24px;
  flex-direction: column;
  align-items: flex-end;
  align-self: stretch;
  gap: 16px;
  border-radius: 0 0 0 40px;
  background: var(--sky-blue);
}

.teacher-1-inner-footer-box-parts {
  display: flex;
  justify-content: flex-end;
  align-self: stretch;
  align-items: center;
  gap: 16px;
}

.teacher-1-inner-footer-text-parts {
  color: #FFF;
  text-align: center;
  font-weight: 600;
  line-height: 32px;
  /* 200% */
}

.teacher-1-inner-footer-href-parts {
  display: flex;
  width: 32px;
  height: 32px;
  justify-content: center;
  align-items: center;
  gap: 8.828px;
  border-radius: 44.138px;
  background: #FFF;
}

.teacher-1-inner-footer-href-parts img {
  width: 20px;
  height: 20px;
}

.teacher-1-inner-en-name-parts {
  transform-origin: right top;
  transform: rotate(-90deg) translateY(-100%);
  display: flex;
  padding: 8px 16px;
  flex-direction: column;
  justify-content: center;
  align-items: left;
  position: absolute;
  right: 0;
  border-radius: 24px 0 0 0;
  background: #FFF;
}

.teacher-1-inner-en-name-text-parts {
  transform: rotate(180deg);
  color: var(--sky-blue);
  font-family: Anuphan;
  font-weight: 700;
  line-height: 32px;
}

/* ========================================================================== */
/* @media */
/* ========================================================================== */

@media (max-width: 1438px) {

  /* ==================================================== */
  /* teacher-item.twig */
  /* ==================================================== */

  .teacher-1-img-parts {
    height: 220px;
  }
}

@media (max-width: 1023px) {
  .teacher {
    padding: 0 64px;
  }

  /* ==================================================== */
  /* teacher-1 */
  /* ==================================================== */

  .teacher-1-wrapper {
    gap: 8px;
  }

  /* ==================================================== */
  /* teacher-item.twig */
  /* ==================================================== */

  .teacher-1-img-parts {
    height: 230px;
  }
}

@media (max-width: 767px) {
  .teacher {
    padding: 0px 24px;
  }

  

  /* ==================================================== */
  /* teacher-1 */
  /* ==================================================== */

  .teacher-1 {
    margin-top: 64px;
  }

  .teacher-1-wrapper {
    grid-template-columns: repeat(2, 1fr);
    max-width: 158px;
    gap: 12px;
  }

  .teacher-1-container-parts {
    width: 158px;
  }  

  /* ==================================================== */
  /* teacher-2 */
  /* ==================================================== */

  .teacher-2 {
    gap: 16px;
    margin-top: 40px;
  }

  .teacher-2-header-text {
    font-size: 20px;
    font-weight: 600;
    line-height: 40px;
    /* 200% */
    letter-spacing: 0.8px;
  }

  .teacher-2-file {
    display: flex;
    height: 80px;
    padding: 8px 24px;
    align-items: center;
    gap: 16px;
    align-self: stretch;
    border-radius: 8px;
    border: 1px solid var(--sky-blue);
  }

  /* ==================================================== */
  /* teacher-item.twig */
  /* ==================================================== */

  .teacher-1-view-parts {
    display: none;
  }

  .teacher-1-view-sp-parts {
    display: block;
  }

  .teacher-1-img-parts {
    height: 150px;
  }
  
  .teacher-1-inner-contents-parts {
    padding: 16px 0;
  }

  .teacher-1-inner-contents-name-parts {
    font-size: 14px;
    line-height: 20px;
    /* 142.857% */
  }

  .teacher-1-inner-contents-position-parts {
    font-size: 8px;
    line-height: 16px;
    /* 200% */
  }

  .teacher-1-inner-footer-parts {
    padding: 8px 8px 8px 8px;
    border-radius: 0 0 0 32px;
  }

  .teacher-1-inner-footer-box-parts {
    gap: 6px;
  }

  .teacher-1-inner-footer-text-parts {
    font-size: 12px;
  }

  .teacher-1-inner-footer-href-parts {
    width: 24px;
    height: 24px;
  }

  .teacher-1-inner-en-name-parts {
    border-radius: 16px 0 0 0;
  }

  .teacher-1-inner-en-name-text-parts {
    font-size: 10px;
    line-height: 10px;
    /* 100% */
  }
}

@media print {
  .teacher-1-wrapper {
    gap: 60px 8px;
  }
}